/*
 * @(#)ExtensionFileFilterJDK12UTest.java
 *
 * Copyright (C) 2001,,2003 2002 Matt Albrecht
 * groboclown@users.sourceforge.net
 * http://groboutils.sourceforge.net
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the 
 *  Software is furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in 
 *  all copies or substantial portions of the Software. 
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL 
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 *  DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.groboutils.util.io.v1;

import java.io.File;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * 
 *
 * @author   Matt Albrecht <a href="mailto:groboclown@users.sourceforge.net">groboclown@users.sourceforge.net</a>
 * @since    0.9.1d Alpha (sometime in 2001)
 * @version  $Date: 2003/02/10 22:52:45 $
 */
public class ExtensionFileFilterJDK12UTest extends ExtensionFilenameFilterUTest
{
    //-------------------------------------------------------------------------
    // Global constructs that only depend upon the class name
    private static final Class THIS_CLASS = ExtensionFileFilterJDK12UTest.class;
    
    public ExtensionFileFilterJDK12UTest( String name )
    {
        super( name );
    }
    
    
    //-------------------------------------------------------------------------
    // Test methods

    
    public void testNullAccept1a()
    {
        try
        {
            ((ExtensionFileFilter)createFilter( "a" )).accept( null );
            fail( "Did not throw IllegalArgumentException." );
        }
        catch (IllegalArgumentException e)
        { }
    }
    



    protected void matchFile( ExtensionFilenameFilter eff, File f )
    {
        super.matchFile( eff, f );
        assertTrue(
            "Filter must accept file "+f+".",
            ((ExtensionFileFilter)eff).accept( f ) );
    }
    
    
    protected void noMatchFile( ExtensionFilenameFilter eff, File f )
    {
        super.noMatchFile( eff, f );
        assertTrue(
            "Filter must not accept file "+f+".",
            !((ExtensionFileFilter)eff).accept( f ) );
    }
    
    
    protected ExtensionFilenameFilter createFilter()
    {
        return new ExtensionFileFilter();
    }
    protected ExtensionFilenameFilter createFilter( String s )
    {
        return new ExtensionFileFilter( s );
    }
    protected ExtensionFilenameFilter createFilter( String s[] )
    {
        return new ExtensionFileFilter( s );
    }
    protected ExtensionFilenameFilter createFilter( boolean b )
    {
        return new ExtensionFileFilter( b );
    }
    protected ExtensionFilenameFilter createFilter( String s, boolean b )
    {
        return new ExtensionFileFilter( s, b );
    }
    protected ExtensionFilenameFilter createFilter( String s[], boolean b )
    {
        return new ExtensionFileFilter( s, b );
    }
    
    
    //-------------------------------------------------------------------------
    // Global static methods that don't change.
    
    public static Test suite()
    {
        TestSuite suite = new TestSuite( THIS_CLASS );
        
        return suite;
    }
    
    public static void main( String[] args )
    {
        String[] name = { THIS_CLASS.getName() };
        
        // junit.textui.TestRunner.main( name );
        // junit.swingui.TestRunner.main( name );
        
        junit.textui.TestRunner.main( name );
    }
    
    protected void setUp() throws Exception
    {
        super.setUp();
        
        // set ourself up
    }
    
    
    protected void tearDown() throws Exception
    {
        // tear ourself down
        
        
        super.tearDown();
    }

}
